// change that value to your blynk token
const blynkToken = "YOUR_BLYNK_APP_TOKEN"
const baseURL = 'http://blynk-cloud.com/' + blynkToken

FusionCharts.ready(function(){
// chart for the water bowl
var chartWater = new FusionCharts({
type: 'cylinder',
dataFormat: 'json',
id: 'fuelMeter-2',
renderAt: 'water-chart-container',
width: '200',
height: '350',
dataSource: {
    "chart": {
        "theme": "fint",
        "caption": "Water bowl",
        "subcaption": "",
        "lowerLimit": "0",
        "upperLimit": "5",
        "lowerLimitDisplay": "Empty",
        "upperLimitDisplay": "Full",
        "numberSuffix": " ltrs",
        "showValue": "1",
        "chartBottomMargin": "45",
        "showValue": "0",
    },
    "value": "0",
    "annotations": {
        "origw": "400",
        "origh": "190",
        "autoscale": "1",
        "groups": [{
            "id": "range",
            "items": [{
                "id": "rangeBg",
                "type": "rectangle",
                "x": "$canvasCenterX-45",
                "y": "$chartEndY-30",
                "tox": "$canvasCenterX +45",
                "toy": "$chartEndY-75",
                "fillcolor": "#6caa03"
            }, {
                "id": "rangeText",
                "type": "Text",
                "fontSize": "11",
                "fillcolor": "#333333",
                "text": "0 ltrs",
                "x": "$chartCenterX-45",
                "y": "$chartEndY-50"
            }]
        }]
    }
},
"events": {
    "rendered": function(evtObj, argObj) {
        evtObj.sender.chartInterval = setInterval(function() {
          // sample water bowl
          fetch(baseURL + '/get/V6')
          .then((res) => res.json()).then((jsonRes) => {
            evtObj.sender.feedData && evtObj.sender.feedData("&value=" + jsonRes[0]);
          })
        }, 1000);
    },
    //Using real time update event to update the annotation
    //showing available volume of water
    "realTimeUpdateComplete": function(evt, arg) {
        var annotations = evt.sender.annotations,
            dataVal = evt.sender.getData(),
            colorVal = (dataVal >= 70) ? "#6caa03" : ((dataVal <= 35) ? "#e44b02" : "#f8bd1b");
        //Updating value
        annotations && annotations.update('rangeText', {
            "text": dataVal + " ltrs"
        });
        //Changing background color as per value
        annotations && annotations.update('rangeBg', {
            "fillcolor": colorVal
        });

    },
    "disposed": function(evt, arg) {
        clearInterval(evt.sender.chartInterval);
    }
}
});
// chart for the food container
var chartFood = new FusionCharts({
type: 'cylinder',
dataFormat: 'json',
id: 'fuelMeter-1',
renderAt: 'food-chart-container',
width: '200',
height: '350',
dataSource: {
    "chart": {
        "theme": "fint",
        "caption": "Food container",
        "subcaption": "",
        "lowerLimit": "0",
        "upperLimit": "45",
        "lowerLimitDisplay": "Empty",
        "upperLimitDisplay": "Full",
        "numberSuffix": " ltrs",
        "showValue": "1",
        "chartBottomMargin": "45",
        "showValue": "0",
        "cylFillColor": "#bf8040"
    },
    "value": "0",
    "annotations": {
        "origw": "400",
        "origh": "190",
        "autoscale": "1",
        "groups": [{
            "id": "range",
            "items": [{
                "id": "rangeBg",
                "type": "rectangle",
                "x": "$canvasCenterX-45",
                "y": "$chartEndY-30",
                "tox": "$canvasCenterX +45",
                "toy": "$chartEndY-75",
                "fillcolor": "#6caa03"
            }, {
                "id": "rangeText",
                "type": "Text",
                "fontSize": "11",
                "fillcolor": "#333333",
                "text": "0 ltrs",
                "x": "$chartCenterX-45",
                "y": "$chartEndY-50"
            }]
        }]
    }
},
"events": {
    "rendered": function(evtObj, argObj) {
        evtObj.sender.chartInterval = setInterval(function() {
          // sample food container
          fetch(baseURL + '/get/V3')
          .then((res) => res.json()).then((jsonRes) => {
            evtObj.sender.feedData && evtObj.sender.feedData("&value=" + (45 - jsonRes[0]));
          })
        }, 1000);
    },
    //Using real time update event to update the annotation
    //showing available volume of food
    "realTimeUpdateComplete": function(evt, arg) {
        var annotations = evt.sender.annotations,
            dataVal = evt.sender.getData(),
            colorVal = (dataVal >= 70) ? "#6caa03" : ((dataVal <= 35) ? "#e44b02" : "#f8bd1b");
        //Updating value
        annotations && annotations.update('rangeText', {
            "text": dataVal + " ltrs"
        });
        //Changing background color as per value
        annotations && annotations.update('rangeBg', {
            "fillcolor": colorVal
        });

    },
    "disposed": function(evt, arg) {
        clearInterval(evt.sender.chartInterval);
    }
}
});
chartWater.render();
chartFood.render();
});

document.addEventListener("DOMContentLoaded", function(event) {
		let btnSampleWater = document.getElementById("btnSampleWater");
		let btnSampleFood = document.getElementById("btnSampleFood");
		let btnWater = document.getElementById("btnWater");
    let btnFood = document.getElementById("btnFood");

    // sample water
		btnSampleWater.onclick = () => {
      fetch(baseURL + '/update/V5?value=1');
		}
    // sample food
		btnSampleFood.onclick = () => {
      fetch(baseURL + '/update/V2?value=1');
		}
    // turn water pump on
		btnWater.onclick = () => {
      fetch(baseURL + '/update/V4?value=1');
		}
    // start feed operation
    btnFood.onclick = () => {
      fetch(baseURL + '/update/V1?value=3');
    }
});
